package edu.fiu.jtlex.algorithms;

import java.io.IOException;

/**
 * Abstraction for classes that write strings.
 *
 * @since jTLEX 1.0
 */
public interface IWriter {

    /**
     * Writes a string
     *
     * @param input The string to write
     * @throws IOException If an IO error occurs
     * @since jTLEX 1.0
     */
    void write(String input) throws IOException;

    /**
     * Writes a string and a end of line character
     *
     * @param input The string to write
     * @throws IOException If an IO error occurs
     * @since jTLEX 1.0
     */
    void writeLine(String input) throws IOException;

    /**
     * Closes the stream
     *
     * @throws IOException If an IO error occurs
     * @since jTLEX 1.0
     */
    void close() throws IOException;
}
