package edu.fiu.jtlex.algorithms;

/**
 * A proxy class for printing to console.
 *
 * @see IWriter
 * @since jTLEX 1.0
 */
public class ConsoleWriter implements IWriter {

    /**
     * Creates a ConsoleWriter
     *
     * @since jTLEX 1.0
     */
    public ConsoleWriter() {}

    /**
     * Prints the string to console
     * Can be whitespace or null
     * @param input The string to print
     * @since jTLEX 1.0
     */
    public void write(String input) {
        System.out.print(input);
    }

    /**
     * Prints the string to console and an end of line character
     * Can be whitespace or null
     * @param input The string to print
     * @since jTLEX 1.0
     */
    public void writeLine(String input) {
        System.out.println(input);
    }

    /**
     * Does nothing
     *
     * @since jTLEX 1.0
     */
    public void close() {}
}
