package edu.fiu.jtlex.algorithms;

/**
* Abstraction for jTLEX entry point
*
* @since jTLEX 1.0
*/
public interface ITLEXAlgorithm {

	/**
	 * Receives a directory's path and processes all the timeML files in it (.tml)
	 *
	 * @param sourceDirectory Directory to process.
	 * @throws NullPointerException If sourceDirectory is null
	 * @throws IllegalArgumentException If sourceDirectory is not a directory
	 * @since jTLEX 1.0
	 */
	void process(String sourceDirectory);
}
