package edu.fiu.jtlex.timeml.graph;

import org.jacop.core.IntVar;
import org.jacop.core.Store;

/**
 * Abstraction for a Temporal Constraint Satisfaction Problem
 *
 * @since jTLEX 1.0
 */
public interface ITimeMLGraphTCSP {

    /**
     * Get the constraints store
     *
     * @return The store with imposed constraints
     * @since jTLEX 1.0
     */
    Store getStore();

    /**
     * Get the time points
     *
     * @return The time points
     * @since jTLEX 1.0
     */
    IntVar[] getTimepoints();

}
